/*

AmFTP Rexx-Port Example Script, profile.rexx

Copyright  1995-1996 by Mathias Mischler, All Rights Reserved.


This example script gets contents of one the first profile entry and
displays them.
Afterwards a new profile (Dummy) will created and host entry of this
profile will be set (Localhost).

*/

/* Open AMFTP Rexx-Port */
OPTIONS RESULTS
RXLIB "AMFTP.1"
ADDRESS 'AMFTP.1'

GETPROFILE 0 "MYPRF"

say
say "First AmFTP Profile"
say "==================="
say "Profile Label    :" MYPRF.LABEL
say "Host             :" MYPRF.HOST
say "Port             :" MYPRF.PORT
say "Default Directory:" MYPRF.DEFDIR
say "Local Directory  :" MYPRF.LOCALDIR
say "Username         :" MYPRF.USERNAME
say "Password         :" MYPRF.PASSWORD
say "Anon-Login       :" MYPRF.ANON
say "ADT-Server       :" MYPRF.ADT

say
say "Creating new Profile `Dummy'..."
CREATEPROFILE "Dummy"

say "Set host to `Localhost'."
DUMMY.HOST = "Localhost"
SETPROFILE RESULT DUMMY
